Ga naar hoofdinhoud

Email History Endpoints

Query email delivery history and status.

Base Path​

/api/email-history

Endpoints​

List Email History​

GET /api/email-history
Authorization: Bearer {token}

Query Parameters:

ParameterTypeDescription
pagenumberPage number
limitnumberItems per page
emailstringRecipient email
statusstringSENT, FAILED, QUEUED

Response:

{
"items": [
{
"id": "uuid",
"name": "WELCOME_USER",
"email": "john@example.com",
"content": "Welcome to Gauzy...",
"status": "SENT",
"createdAt": "2025-01-15T10:00:00Z"
}
],
"total": 500
}

Get Email by ID​

GET /api/email-history/:id
Authorization: Bearer {token}

Resend Email​

POST /api/email-history/:id/resend
Authorization: Bearer {token}

Delete Email History​

DELETE /api/email-history/:id
Authorization: Bearer {token}

Email Types​

TypeDescription
WELCOME_USERNew user welcome
INVITE_EMPLOYEEEmployee invitation
INVOICE_SENTInvoice delivery
PASSWORD_RESETPassword reset link
TIMESHEET_SUBMITTEDTimesheet notification
TASK_ASSIGNEDTask assignment